%define branch_source_date 20060629
%define __libtoolize    /bin/true

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %mdkversion > 200600
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdeadmin
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

Name:		kdeadmin
Version:    3.5.4
Release:   	%mkrel 3
Group:		Graphical desktop/KDE
Summary:	K Desktop Environment - Adminstrative Tools
URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Epoch:		2
Packager:	Mandriva Linux KDE Team <kde@mandriva.com>
# Source now comes from kde stable branch
Source:		%name-%version.tar.bz2
Source1:	kpackage.pamd
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Provides:	kdeadmin3
Obsoletes:	kdeadmin3
Obsoletes:	%lib_name
Requires:	pciutils
BuildRequires: X11-devel 
BuildRequires: freetype2-devel 
BuildRequires: kdelibs-devel >= 3.2-13mdk
BuildRequires: bzip2-devel 
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel
BuildRequires: png-devel 
BuildRequires: qt3-devel  
BuildRequires: rpm-devel libz-devel
BuildRequires: pam-devel
# createmdkmenu
BuildRequires:	kdelibs-common >= 3.1.93-5mdk
%ifarch %{ix86} x86_64
BuildRequires:	lilo
%endif

Patch1:     kdeadmin-3.5.3-knetworkconf-mandriva-info.patch

Patch2:     kdeadmin-3.5.4-fix-knetworkconf-config-signal.patch

%description
The kdeadmin package contains packages that usually only a system
administrator might need:
	- kcmlinuz
    	Linux Kernel configurator
	- kcron
    	Editor for the cron command scheduler.
	- kdat
   		Tape backup tool.
	- kfile-plugins
    	Make Konquerer display additional info on about *.dep and *.rpm files.
	- ksysv
    	An editor for System V startup schemes.
	- kuser
   		An user manager.
	- kwuftpd
   		Front end to the wu-ftpd FTP daemon.
	- lilo-config
    	A plugin for KControl to manage the Linux boot loader LILO.
	- secpolicy
    	A program to display PAM security policies.

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-,root,root)
%doc %_docdir/HTML/en/kcron
%doc %_docdir/HTML/en/kuser
%doc %_docdir/HTML/en/kdat
%_datadir/applications/kde/kcron.desktop
%_datadir/applications/kde/kdat.desktop
%_datadir/applications/kde/kuser.desktop
%_bindir/kcron
%_bindir/kuser
%_bindir/secpolicy
%_bindir/kdat
%dir %_datadir/apps/kcron
%_datadir/apps/kcron/*
%dir %_datadir/apps/kuser/
%_datadir/apps/kuser/*
%dir %_datadir/apps/kdat
%_datadir/apps/kdat/*
%dir %_datadir/apps/knetworkconf/
%_datadir/apps/knetworkconf/*
%_menudir/kdeadmin-kcron
%_menudir/kdeadmin-kdat
%_menudir/kdeadmin-kuser
%_menudir/kdeadmin-knetworkconfmodule
%_datadir/config.kcfg/kuser.kcfg
%_datadir/services/*.desktop
%_datadir/applications/kde/kcm_knetworkconfmodule.desktop
%_libdir/kde3/kfile_*.*
%_libdir/pkgconfig/system-tools-backends.pc
%_libdir/kde3/kcm_knetworkconfmodule*
%doc %_docdir/HTML/en/knetworkconf/*.png
%doc %_docdir/HTML/en/knetworkconf/common
%doc %_docdir/HTML/en/knetworkconf/index.cache.bz2
%doc %_docdir/HTML/en/knetworkconf/index.docbook
%_iconsdir/*/*/*/*
%exclude %_iconsdir/*/*/*/ksysv.png

#------------------------------------------------------------------------	

%package -n kdeadmin-kpackage
Group:      Graphical desktop/KDE
Summary:    Manager for DEB, RPM.
Requires:   kdeadmin = %epoch:%version-%release
Obsoletes:  kpackage < 2:3.4.3 
Provides:   kpackage = %epoch:%version

%description -n kdeadmin-kpackage
Kpackage is a package manager that is integrated into the K Desktop 
Environemnt.  It works with the KDE File Manager to manage DEB, RPM 
and Slackware tgz software packages.

%post -n kdeadmin-kpackage
/sbin/ldconfig
%update_menus

%postun -n kdeadmin-kpackage
/sbin/ldconfig
%clean_menus

%files -n kdeadmin-kpackage
%defattr(-,root,root)
%_bindir/kpackage
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kpackage
%doc %_docdir/HTML/en/kpackage
%_menudir/kdeadmin-kpackage
%_iconsdir/*/*/*/kpackage.png
%_datadir/applications/kde/kpackage.desktop
%dir %_datadir/apps/kpackage
%_datadir/apps/kpackage/*

#------------------------------------------------------------------------	

%package -n kdeadmin-ksysv
Group:      Graphical desktop/KDE
Summary:    Edit your SysV-style init configuration
Provides:	ksysv

%description -n kdeadmin-ksysv
SysV-Init Editor lets you edit your SysV-style init configuration
using drag'n'drop.

%post -n kdeadmin-ksysv
/sbin/ldconfig
%update_menus

%postun -n kdeadmin-ksysv
/sbin/ldconfig
%clean_menus

%files -n kdeadmin-ksysv
%defattr(-,root,root)
%_bindir/ksysv
%dir %_datadir/apps/ksysv/
%_datadir/apps/ksysv/*
%_datadir/applications/kde/ksysv.desktop
%_menudir/kdeadmin-ksysv
%_datadir/apps/ksysv/*.rc
%_iconsdir/*/*/*/ksysv.png
%doc %_docdir/HTML/en/ksysv
%_datadir/mimelnk/application/x-ksysv.desktop
%_datadir/mimelnk/text/x-ksysv-log.desktop

#------------------------------------------------------------------------	

%ifnarch ppc
%package -n kdeadmin-lilo
Group:      Graphical desktop/KDE
Summary:    Configure lilo.
Requires:   kdeadmin = %epoch:%version-%release

%description -n kdeadmin-lilo
lilo-config is a kcontrol plugin for configuring LILO, the most commonly
used Linux boot loader.

%post -n kdeadmin-lilo
/sbin/ldconfig
%update_menus

%postun -n kdeadmin-lilo
/sbin/ldconfig
%clean_menus

%files -n kdeadmin-lilo
%defattr(-,root,root)
%_menudir/kdeadmin-lilo
%_datadir/applications/kde/lilo.desktop
%doc %_docdir/HTML/en/lilo-config
%_libdir/kde3/kcm_lilo.*

%endif

#------------------------------------------------------------------------	

%prep
%setup -q 

%patch1 -p1 -b .fix_knetworkconf_mandriva_info

%patch2 -p1 -b .fix_knetworkconf_conflict_signal_slot

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%configure2_5x \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--enable-shared \
	--disable-static \
	--enable-final \
	%if %unstable
		--enable-debug=full \
	%else
		--disable-debug \
	%endif
		--disable-rpath \
		--with-rpm \
		--with-pam=kde \
	%if "%{_lib}" != "lib"
		--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
	%endif
		--with-shadow \
		--with-quota \
		--with-nis \
		--with-homeprefix=/home \
		--with-private-groups

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

# Create LMDK menu directory
install -d %buildroot/%_menudir/

%ifnarch ppc
kdedesktop2mdkmenu.pl kdeadmin-lilo System/Configuration/KDE/System  %buildroot/%_datadir/applications/kde/lilo.desktop %buildroot/%_menudir/kdeadmin-lilo kde
perl -pi -e "s|lilo.png|kcmsystem.png|" %buildroot/%_menudir/kdeadmin-lilo
%endif
# %%_datadir/applnk/System
kdedesktop2mdkmenu.pl kdeadmin System/Configuration/Other  %buildroot/%_datadir/applications/kde/kcron.desktop %buildroot/%_menudir/kdeadmin-kcron
kdedesktop2mdkmenu.pl kdeadmin-kpackage System/Configuration/Packaging  %buildroot/%_datadir/applications/kde/kpackage.desktop %buildroot/%_menudir/kdeadmin-kpackage
kdedesktop2mdkmenu.pl kdeadmin "System/Configuration/Boot and Init"  %buildroot/%_datadir/applications/kde/ksysv.desktop %buildroot/%_menudir/kdeadmin-ksysv
kdedesktop2mdkmenu.pl kdeadmin System/Configuration/Other  %buildroot/%_datadir/applications/kde/kuser.desktop %buildroot/%_menudir/kdeadmin-kuser
kdedesktop2mdkmenu.pl kdeadmin System/Configuration/Other  %buildroot/%_datadir/applications/kde/kdat.desktop %buildroot/%_menudir/kdeadmin-kdat
#kdedesktop2mdkmenu.pl kdeadmin-linuz System/Configuration/KDE/System  %buildroot/%_datadir/applications/kde/linuz.desktop %buildroot/%_menudir/kdeadmin-klinuz kde
kdedesktop2mdkmenu.pl kdeadmin System/Configuration/KDE/System  %buildroot/%_datadir/applications/kde/kcm_knetworkconfmodule.desktop %buildroot/%_menudir/kdeadmin-knetworkconfmodule


# Install kdebase pam configuration file
install -d %buildroot/%_sysconfdir/pam.d
install -m644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kpackage

rm -rf %buildroot/%_datadir/applnk/Settings/Peripherals/

%ifarch ppc
rm -rf %buildroot/%_docdir/HTML/en/lilo-config
%endif


%clean
rm -fr %buildroot




%changelog
* Fri Aug 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-11 10:01:38 (55570)
- New package (2006/08/11 3.5.4-3mdv)
  Add patch to fix knetworkconf signal/slot conflict

* Thu Aug 10 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-10 09:08:37 (55299)
- New package (2006/08/10 - 3.5.4-2mdv)
  knetworkconf: add support for Mandriva 2007

* Wed Aug 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-02 18:28:54 (43037)
- 3.5.4
  New release (2006/08/02 3.5.4-1mdv)

* Thu Jun 29 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-06-29 17:47:40 (38189)
- Cleaned spec
- Added tarball from kde branch as discussed on meeting in 28/06
- Removed rpath and added configure macro invalidating libtoolize

* Sun Jun 25 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-25 11:52:57 (38022)
--enable-new-ldflags doesn't work on x86_64

* Thu Jun 01 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-01 14:13:34 (31839)
- 3.5.3
  Fix pamd files

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-06 12:23:38 (26976)
- Rebuild for generate category in menu

* Mon Apr 17 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-17 15:50:04 (26515)
- 3.5.2

* Mon Feb 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-20 09:05:03 (1791)
- Fix build on ppc but reported by Christiaan Welvaart

* Thu Feb 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-02 08:54:41 (1551)
- 3.5.1

* Tue Jan 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-31 17:57:00 (1517)
- Enable debug only cooker
  MDK9.2 is obsolete now

* Tue Nov 29 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-29 11:01:34 (1212)
- Real kde 3.5

* Mon Nov 21 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-21 10:33:56 (1172)
- Complet fix of patch

* Mon Nov 21 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-21 09:26:37 (1171)
- Fix kdenetwork conf to detect mandriva

* Tue Nov 15 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-15 08:53:14 (1161)
- 3.5.0

* Wed Oct 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-10-26 21:09:23 (1077)
- We are Mandriva now

* Tue Oct 18 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-18 15:54:38 (1032)
- 3.4.92

* Mon Sep 12 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-12 11:06:52 (883)
- Fix build on x86_64 (gb patch)

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-09 08:51:53 (851)
- Rebuild
  Use %%%%mkrel

* Thu Aug 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-04 03:53:52 (527)
- Fix email

* Thu Aug 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-04 02:20:23 (526)
- Rebuild

* Tue Aug 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-02 06:49:43 (503)
- Remove debug
  Sync with kde 3.4.2 branch

* Sat Jul 30 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-30 15:45:41 (469)
- Rebuild for missing package

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-22 04:48:02 (407)
- 3.4.2

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 19:19:14 (114)
- Uploading package ./kdeadmin

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Rebuild with new GCC

* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Enable debug
- Use --enable-new-ldflags 
- Remove old patch

* Mon Apr 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Fix generated menu entry

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Fix buildrequires for ppc

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix category

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Delete %%buildfor

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Thu Oct 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Add buildrequires lilo

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix spec file

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Remove debug

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch15: fix remove rpath (patch from gb)

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Fix buildrequires

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Tue Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild with debug

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild again qt 3.3.2

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Fix buildrequires for gb

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Split ksysv
- Fix menu entry

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Rebuild with good kdedesktop2mdkmenu.pl

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix for package freeze

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95
- Split

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Reverte VFolder menu type to 'menu' menu type

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS 

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Thu Dec 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Fix spec

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- Sync with CVS

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Fix description patch from  Greg Meyer <mdklists@gkmweb.com> (thanks)

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Sync with CVS

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix compile

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix spec file

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Fix menu

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to Vfolder

* Tue Oct 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Sync with CVS

* Tue Oct 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Sync with CVS

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Sync with CVS 

* Sun Oct 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Sync with CVS

* Sun Oct 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Sync with CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Sync with CVs

* Wed Oct 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS 

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Update from CVS

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92

* Sat Sep 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Enable-debug
- Support for MDK9.3
- Fix menu

* Wed Sep 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Fix upgrade

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Fix requires

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Fix build

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Fix build

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix requires/provides/obsolete

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Remove libqt3 requires

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix requires

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix requires

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3-1mdk
- 3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Libification

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Rebuild

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- fix spec file

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Rebuild

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Add patch16: patch from gbeauchesne@mandrakesoft.com  Handle biarch struct utmp in TEPty::makePty()

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code ( fix kcmlilo)

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix compile under ppc

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code fix kcmlinuz

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix

* Sat Feb 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Fix description

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Remove kxconfig programm

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Split package create kpackage package

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Fix kxconfig signal

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Integrate patch from Gwenole :" Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Thu Dec 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch17 : fix kcm lilo config changed 

* Thu Dec 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix kpackage compile with qt-3.1.1

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Mon Dec 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.3mdk
- Add patch14 : disable lilo conf when we are not in root user

* Fri Nov 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Add missing file

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Rebuild

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix conflict

* Wed Oct 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Fix spec file for ppc : don't add kcmlilo.* 

* Thu Oct 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Add patch from Stew Benedict <sbenedict@mandrakesoft.com>
=> don't create lilo menu entry on ppc

* Wed Oct 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Add missing file

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.1mdk
- beta2

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Add patch13 : fix kpackage crash

* Sun Sep 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Add patch12 : launch rpmdrake and not kpackage when we click on rpm
into konqueror

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch11 : fix kwftpd bug #45142

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch10 : fix kwuftpd mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch9 : fix kdat mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch8 : fix kcron mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch7 : fix kpackage mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch6 : fix ksysv mem leak

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch5 : fix kpackage mem leak

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against new gcc-3.2
- Disable debuggage

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add patch4 : fix kdat use kintinput widget.

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2
- Add patch3 : fix compile on ix64

* Sun Jul 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Fix build requires

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Rebuild against libstdc++

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix provides/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix menu.

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdemultimedia

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.2mdk
- RC3

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2
- Remove static package

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file 

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try

